/*
 * Developed by eVelopers Corporation
 *
 * Copyright (c) 1999-2003 eVelopers Corporation. All rights reserved.
 * This software is the confidential and proprietary information of
 * eVelopers Corporation. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms of
 * the license agreement you entered into with eVelopers.
 *
 * $Date: 10-Jul-03 15:50:50$
 *
 */
package com.evelopers.common.exception;

/**
  * Exception that is being used in cases of logcal errors in
  * problem domain. Usually represents recovered situation.
  *
  * @author kex
  * @version $Revision: 2$
  * @see com.evelopers.common.exception.CommonException
  */
public class LogicException extends CommonException {

   /**
    * @see CommonException#CommonException(String)
    * @param message error message
    */
   public LogicException(String message) {
     super(message);
   }

   /**
    * @see CommonException#CommonException(Throwable)
    * @param e original exception
    */
   public LogicException(Throwable e) {
     super(e);
   }

   /**
    * @see CommonException#CommonException(Throwable, String)
    * @param e original exception
    * @param message error message
    */
   public LogicException(Throwable e, String message) {
     super(e, message);
   }

}
